package com.mprj.portlet.navegvertical;

public final class Atributo {

	private Atributo(){}
	
	public static final String PORTLET_SERVLET_REQUEST = "com.liferay.portal.kernel.servlet.PortletServletRequest";
	public static final String NAVEG_VERTICAL_PAGINAS = "NAVEG_VERTICAL_PAGINAS";
	public static final String CONTENT_TYPE_HTML = "text/html";
	public static final String CHARSET_UTF_8 = "utf-8";
	
	public static final String PARAMETRO_MENU_ID = "menuId";
	public static final String PARAMETRO_ORIGEM_ACESSO = "origemAcesso";
	public static final String PARAMETRO_ORIGEM_INTRANET = "I";
	public static final String PARAMETRO_URL_PORTAL = "urlPortal";
	
	public static final String DIV_NAVEG_VERTICAL = "<div id='navegador' class='naveg-vertical navegador'>";
	public static final String DIV_PRINCIPAL = "<div class='principal'>";
	public static final String DIV_TITULO = "<div class='titulo'>";
	public static final String DIV_TOPO = "<div class='topo'>";
	public static final String DIV_TOPO_MENU = "<div class='topo-menu'>";
	public static final String DIV_MEIO = "<div class='meio'>";
	public static final String DIV_CONTEUDO = "<div class=\"conteudo ";
	public static final String DIV_BANNER = "<div class=\"menu-banner ";
	public static final String DIV_CONTEUDO_FECHADO = "<div class=\"conteudo\">";
	public static final String DIV_TITULO_MENU = "<div class=\"titulo-menu\">";
	public static final String DIV_INFERIOR = "<div class='inferior'>";
	public static final String DIV_FECHAMENTO_TAG = "</div>";
	
	public static final String DIV_NAVEGADOR = "<div id='navegador'>";
	
	public static final String UL_FECHAMENTO_TAG = "</ul>";
	public static final String UL_LAYOUTS_LEVEL = "<ul class=\"layouts level-";
	public static final String UL_ABERTURA_TAG_INICIO = "<ul ";
	
	public static final String LI_ABERTURA_TAG = "<li>";
	public static final String LI_ABERTURA_TAG_INICIO = "<li ";
	public static final String LI_FECHAMENTO_TAG = "</li>";
	public static final String LI_LAYOUTS_LEVEL = "<li class=\"layouts level-";
	public static final String A_ABERTURA_TAG = "<a ";
	public static final String A_FECHAMENTO_TAG = "</a>";
	public static final String FECHAMENTO_TAG = " >";	
	
	public static final String MENU_OPEN = " open ";
	public static final String MENU_EXPANDED = " expanded ";
	public static final String MENU_SELECTED = " selected ";
	public static final String MENU_COLLAPSIBLE = " menu collapsible";
	public static final String MENU_CLASSE_CSS = "class='bold-white-estrela'";
	public static final String MENU_CLASSE_CSS_ICONE = " icone ";
	public static final String MENU_ALL = "all";
	public static final String MENU_AUTO = "auto";
	public static final String MENU_UL_ITEM = " ul-item ";
	public static final String MENU_TITLE_ACCORDION = ", clique para expandir ou recolher o menu.";
	public static final String MENU_TITLE_ACCORDION_ICONE = " (cone)".concat(MENU_TITLE_ACCORDION);
	
	public static final String ITEM_MENU_ULTIMO = " ultimo ";
	
	public static final String ASPAS_DUPLAS = "\"";
	public static final String ESPACO = " ";
	public static final String CLASSE_CSS = "class=".concat(ASPAS_DUPLAS);
	
	public static final String HREF = "href=".concat(ASPAS_DUPLAS);
	public static final String HREF_VAZIO = "href=".concat(ASPAS_DUPLAS).concat("#").concat(ASPAS_DUPLAS).concat(ESPACO);
	public static final String TARGET = "target=\"";
	
	public static final String TITLE = "title=".concat(ASPAS_DUPLAS);
	
	public static final String IMG_ABERTURA_TAG = "<img src=";
	public static final String IMG_FECHAMENTO_TAG = "</img>";
	public static final String A_BANNER_CLASS = "id='menu-banner'";
	
}
