package com.mprj.portlet.navegvertical.modelo;

import java.util.List;

public class Pagina {
	
	private String nome;
	private String titulo;
	private String href;
	private String target;
	private boolean expandido;
	private boolean selecionado;
	private boolean aberto;
	private int nivel;
	private List<Pagina> filhas;
	private boolean ocultarTitulo;
	
	/**
	 * Exibir o submenu (pginas filhas) quando esta estiver sendo exibida no nvel 1.
	 * Valor padro: true.
	 */
	private boolean exibirFilhosNivel1 = true;
	private boolean desativarLink = true;
	private boolean exibirBanner = false;
	private boolean exibirTitulo = false;
	private String imagemBanner;

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getTitulo() {
		return titulo;
	}

	public void setTitulo(String titulo) {
		this.titulo = titulo;
	}

	public String getHref() {
		return href;
	}

	public void setHref(String href) {
		this.href = href;
	}

	public String getTarget() {
		return target;
	}

	public void setTarget(String target) {
		this.target = target;
	}

	public boolean isExpandido() {
		return expandido;
	}

	public void setExpandido(boolean expandido) {
		this.expandido = expandido;
	}

	public boolean isSelecionado() {
		return selecionado;
	}

	public void setSelecionado(boolean selecionado) {
		this.selecionado = selecionado;
	}

	public boolean isAberto() {
		return aberto;
	}

	public void setAberto(boolean aberto) {
		this.aberto = aberto;
	}

	public int getNivel() {
		return nivel;
	}

	public void setNivel(int nivel) {
		this.nivel = nivel;
	}

	public List<Pagina> getFilhas() {
		return filhas;
	}

	public void setFilhas(List<Pagina> filhas) {
		this.filhas = filhas;
	}

	public boolean isOcultarTitulo() {
		return ocultarTitulo;
	}

	public void setOcultarTitulo(boolean ocultarTitulo) {
		this.ocultarTitulo = ocultarTitulo;
	}

	/**
	 * Valor referente a exibio ou no do submenu (filhas) da pgina atual quando esta estiver sendo exibida no nvel 1.
	 * @return boolean
	 */
	public boolean isExibirFilhosNivel1() {
		return exibirFilhosNivel1;
	}

	public void setExibirFilhosNivel1(boolean exibirFilhosNivel1) {
		this.exibirFilhosNivel1 = exibirFilhosNivel1;
	}

	public boolean isDesativarLink() {
		return desativarLink;
	}

	public void setDesativarLink(boolean desativarLink) {
		this.desativarLink = desativarLink;
	}

    
    public boolean isExibirBanner() {
        return exibirBanner;
    }

    
    public void setExibirBanner( boolean exibirBanner ) {
        this.exibirBanner = exibirBanner;
    }

    
    public String getImagemBanner() {
        return imagemBanner;
    }

    
    public void setImagemBanner( String imagemBanner ) {
        this.imagemBanner = imagemBanner;
    }

	public boolean isExibirTitulo() {
		return exibirTitulo;
	}

	public void setExibirTitulo(boolean exibirTitulo) {
		this.exibirTitulo = exibirTitulo;
	}

}
